> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Template



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/budget/templates
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/budget/templates:
    post:
      tags:
        - Project Budgets
      summary: Save Template
      operationId: ProjectBudgetsController_saveTemplate_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
        - name: projectId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d{0,18}$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SaveAllocationTemplateFromDraftDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllocationTemplateResponseDto'
      security:
        - bearer: []
components:
  schemas:
    SaveAllocationTemplateFromDraftDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 80
        expectedDraftVersion:
          type: integer
          minimum: 0
          maximum: 9007199254740991
      required:
        - name
        - expectedDraftVersion
      additionalProperties: false
    AllocationTemplateResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        version:
          type: number
        method:
          type: string
          enum:
            - manual
            - area_rates
        targetMarginPct:
          type:
            - string
            - 'null'
        contingencyPct:
          type:
            - string
            - 'null'
        categories:
          type: array
          items:
            $ref: '#/components/schemas/AllocationTemplateCategoryResponseDto'
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - name
        - version
        - categories
        - updatedAt
    AllocationTemplateCategoryResponseDto:
      type: object
      properties:
        softCostDefaults:
          type: object
          additionalProperties:
            type: string
        workspaceCategoryId:
          type: string
        name:
          type: string
        sharePct:
          type:
            - string
            - 'null'
        defaultMarkupPct:
          type:
            - string
            - 'null'
      required:
        - workspaceCategoryId
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.